MacPorts 2.6 - Leopard 20.6 and libgcc8

Chris Jones jonesc at hep.phy.cam.ac.uk
Thu Sep 26 23:17:22 UTC 2019



> On 27 Sep 2019, at 12:13 am, Riccardo Mottola <riccardo.mottola at libero.it> wrote:
> 
> ´╗┐Hi!
> 
> Chris Jones wrote:
>> https://github.com/macports/macports-ports/commit/2e46a05404462e04930b612ed29d9f08ece64603
>> 
>> I have no way though to test the logic on an OS as ancient as 10.5....
> 
> I patched the file locally in my macports.... then rerun build of harfbuzz and the dependency issue is gone.
> 
> harfbuzz tries to use gcc 6 and a lot of errors ! I forced clang 5.0 .... and smooth harfbuzz upgraded!
> 
> I suppose this is an important fix for 10.5 user, we soon need a 2.6.1

Why ? None of the fixes here require a new release of base....

> 
> Riccardo



More information about the macports-users mailing list